<?
// Dcms-Fiera
// ShaMan

if ((user_access('obmen_file_delete') || $user['id']==$file_id['id_user'])  && isset($_GET['act']) && $_GET['act']=='edit' && isset($_GET['ok']) && $l!='/')
{

	$name=my_esc($_POST['name']);
	$opis=my_esc($_POST['opis']);

	if (!preg_match("#^([A-z0-9\-\_\ ])+$#ui", $_POST['name']))$err[]='В названии файла присутствуют запрещенные символы';
	
	if(strlen2($opis)<3)$err[]='Короткое описание';
	if(strlen2($name)<2)$err[]='Короткое Название';
	if(strlen2($name)>32)$err[]='Длинное Название';

	if(!isset($err)){
		mysql_query("UPDATE `obmennik_files` SET `name` = '".$name."',`opis` = '".$opis."' WHERE `id` = '$file_id[id]' LIMIT 1");
		msg('Файл успешно отредактирован!');
		admin_log('Обменник','Редактирование файла', "Редактирование файла [url=/obmen$dir_id[dir]$name.$file_id[ras]?showinfo]$file_id[name][/url]");
		header ("Location: /obmen$dir_id[dir]$name.$file_id[ras]?showinfo");
		exit;
	}
}

if ((user_access('obmen_file_delete') or $user['id']==$file_id['id_user']) && isset($_GET['act']) && $_GET['act']=='delete' && isset($_GET['ok']) && $l!='/')
{
	mysql_query("DELETE FROM `obmennik_files` WHERE `id` = '$file_id[id]'");
	unlink(H.'sys/obmen/files/'.$file_id['id'].'.dat');
	header ("Location: /obmen$dir_id[dir]?".SID);
	exit;
}



?>